commit:     fb46e0952c2ca64f9b4816379d66ccab0cd35164
Author:     Oz N Tiram <oz.tiram <AT> gmail <DOT> com>
AuthorDate: Sat Sep 10 07:47:43 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Sep 10 11:21:26 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fb46e095

x11-misc/mate-notification-daemon: add 1.26.0

Signed-off-by: Oz N Tiram <oz.tiram <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 x11-misc/mate-notification-daemon/Manifest         |  1 +
 .../mate-notification-daemon-1.26.0.ebuild         | 63 ++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/x11-misc/mate-notification-daemon/Manifest 
b/x11-misc/mate-notification-daemon/Manifest
index 437744af615f..7ca94cab62ca 100644
--- a/x11-misc/mate-notification-daemon/Manifest
+++ b/x11-misc/mate-notification-daemon/Manifest
@@ -1 +1,2 @@
 DIST mate-notification-daemon-1.24.2.tar.xz 396156 BLAKE2B 
64bbada24bc53f296076ff80b364e156fecfe28f4b1d8b77a0f05910939ccc2378e0635861442cc5cff8c95db5ccda55484de8aaf3315e28eb8df75c1a4bc20d
 SHA512 
be9db249bec6dc2206d69998b972f06ab4e2ee5c30b5bcf44c43b508954a9984a37bc9a2fe9989aec55969492256ed742fb2a9618b751e47ff43b66c383c1bd4
+DIST mate-notification-daemon-1.26.0.tar.xz 421032 BLAKE2B 
3f55a281cc51e63245371a1bf4ddadb2be4fa09bf16a4ffac701d4530f519a65e2ff69c7e58e6589fa923d3af86315e36d5445a6a1915a6857271933605eaaac
 SHA512 
5249cf14ba93f2e74b9774226c5d0f5e90a517df07569e16a23af7053f5ef160afe98c8a3452baf80c243272763eee1fde0b84f434f55df1f9de26298361a1dc

diff --git 
a/x11-misc/mate-notification-daemon/mate-notification-daemon-1.26.0.ebuild 
b/x11-misc/mate-notification-daemon/mate-notification-daemon-1.26.0.ebuild
new file mode 100644
index 000000000000..07ccfba40877
--- /dev/null
+++ b/x11-misc/mate-notification-daemon/mate-notification-daemon-1.26.0.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MATE_LA_PUNT="yes"
+
+inherit mate
+
+if [[ ${PV} != 9999 ]]; then
+       KEYWORDS="~amd64 ~arm ~arm64 ~loong ~riscv ~x86"
+fi
+
+DESCRIPTION="MATE Notification daemon"
+LICENSE="GPL-2+ GPL-3+"
+SLOT="0"
+
+IUSE="nls X wayland"
+REQUIRED_USE="|| ( X wayland )"
+
+COMMON_DEPEND="dev-libs/atk
+       >=dev-libs/glib-2.50:2
+       >=dev-libs/libxml2-2.9.0
+       >=sys-apps/dbus-1
+       x11-libs/cairo
+       >=x11-libs/gdk-pixbuf-2.22:2
+       >=x11-libs/libnotify-0.7
+       >=x11-libs/gtk+-3.22:3
+       >=media-libs/libcanberra-0.4:0[gtk3]
+       X? (
+               x11-libs/libX11
+               >=x11-libs/libwnck-3:3
+       )
+       wayland? ( gui-libs/gtk-layer-shell )
+"
+
+RDEPEND="${COMMON_DEPEND}
+       !x11-misc/notify-osd
+       !x11-misc/qtnotifydaemon
+       !x11-misc/notification-daemon
+"
+
+DEPEND="${COMMON_DEPEND}
+       app-arch/xz-utils
+       dev-util/gdbus-codegen
+       >=sys-devel/gettext-0.19.8
+       virtual/pkgconfig
+       mate-base/mate-panel
+"
+
+src_configure() {
+       mate_src_configure \
+               $(use_enable nls)
+               $(use_enable X x11) \
+               $(use_enable wayland)
+}
+
+src_install() {
+       mate_src_install
+
+       insinto /usr/share/dbus-1/services
+       doins "${FILESDIR}/org.freedesktop.Notifications.service"
+}

Reply via email to